# $Revision: 1.28 $, $Date: 2002/07/25 14:47:04 $
Summary:	Mailing List Manager
Summary(pl):	Zarzdca List Dyskusyjnych
Name:		listar
Version:	0.129a
Release:	5
License:	GPL
Vendor:		Listar bug tracking system ( http://bugs.listar.org/listar/ )
Group:		Applications/Mail
Source0:	ftp://ftp.listar.org/pub/listar/%{name}-%{version}.tar.gz
Source1:	%{name}.logrotate
Patch0:		http://www.misiek.eu.org/ipv6/%{name}-0.129a-ipv6-20000915.patch.gz
Patch1:		%{name}-make.patch
Patch2:		%{name}-conf.patch
Patch3:		%{name}-secfix.patch
URL:		http://www.listar.org/
Prereq:		%{_sbindir}/useradd
Prereq:		%{_sbindir}/groupadd
Prereq:		%{_sbindir}/userdel
Prereq:		%{_sbindir}/groupdel
Prereq:		/bin/hostname
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Listar is a powerful mailing list manager in the tradition of listserv
but with an open architecture and free source (Artistic license). It
has some features not found in Majordomo. One of the most interesting
things in Listar is plugin module system; many functions are
implemented as dynamically-loadable modules.

%description -l pl
Listar jest wietnym menaderem list pocztowych z tradycjami listserva
Jest ukierunkowany na otwart architektur oraz wolne rda (Licencja
artystyczna). Listar posiada wiele nowoci, ktrych nie ma nawet
Majordomo. Jedn z najbardziej interesujcych jest system pluginw;
wiele funkcji zaimplementowane jest jako dynamicznie adowalne moduy.

%package cgi
Summary:	Web interface for listar
Summary(pl):	Web interfejs dla listara
Group:		Applications/Mail
Requires:	%{name} = %{version}
Requires:	webserver

%description cgi
listar-cgi program, which provides a web-based front-end for your
Listar mailing lists.

%description cgi -l pl
Program listar-cgi, ktry jest interfejsem web do menadera Listar.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
%{__make} -Csrc -fMakefile.dist OPT="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_sysconfdir}/{%{name},logrotate.d,cron.daily} \
	$RPM_BUILD_ROOT/home/httpd/cgi-bin/ \
	$RPM_BUILD_ROOT%{_libdir}/%{name}/{modules,templates} \
	$RPM_BUILD_ROOT%{_var}/{log,lib/%{name}/{lists/SITEDATA,queue}}

%{__make} -Csrc -fMakefile.dist install

install	%{name}				$RPM_BUILD_ROOT%{_libdir}/%{name}
install	modules/*.lpm			$RPM_BUILD_ROOT%{_libdir}/%{name}/modules
install	templates/*			$RPM_BUILD_ROOT%{_libdir}/%{name}/templates
install banned				$RPM_BUILD_ROOT%{_sysconfdir}/%{name}
install %{name}.cfg.dist		$RPM_BUILD_ROOT%{_sysconfdir}/%{name}/%{name}.cfg
install %{name}.hlp			$RPM_BUILD_ROOT%{_sysconfdir}/%{name}/%{name}.hlp
install %{SOURCE1}			$RPM_BUILD_ROOT/etc/logrotate.d/%{name}
ln -sf %{_sysconfdir}/%{name}/%{name}.cfg $RPM_BUILD_ROOT%{_libdir}/%{name}/%{name}.cfg
touch					$RPM_BUILD_ROOT%{_var}/lib/%{name}/lists/SITEDATA/cookies
touch                                   $RPM_BUILD_ROOT%{_var}/log/%{name}.log

cat << EOF > $RPM_BUILD_ROOT/home/httpd/cgi-bin/listargate.cgi
#!/bin/sh
%{_libdir}/%{name}/%{name} -lsg2
EOF

cat << EOF > $RPM_BUILD_ROOT/etc/cron.daily/%{name}
%{_libdir}/%{name}/%{name} -procbounce
%{_libdir}/%{name}/%{name} -procdigest
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%pre
if [ -n "`getgid listar`" ]; then
	if [ "`getgid listar`" != "67" ]; then
		echo "Warning: group listar haven't gid=67. Correct this before installing listar" 1>&2
		exit 1
	fi
else
	echo "Adding group listar GID=67"
	/usr/sbin/groupadd -f -g 67 -r listar
fi

if [ -n "`id -u listar 2>/dev/null`" ]; then
	if [ "`id -u listar`" != "67" ]; then
		echo "Warning: user listar haven't uid=67. Correct this before installing listar" 1>&2
		exit 1
	fi
else
	/usr/sbin/useradd -u 67 -r -d /var/lib/listar -s /bin/false -c "Listar user" -g listar listar 1>&2
fi

%postun
if [ $1 = 0 ]; then
	/usr/sbin/userdel  listar
	/usr/sbin/groupdel listar
fi

%post
umask 022
if [ -f /etc/mail/aliases ]; then
	if ! grep -q "^%{name}:" /etc/mail/aliases; then
		echo "%{name}:	\"|%{_libdir}/%{name}/%{name}\"" >> /etc/mail/aliases
		newaliases || :
	fi
fi

if [ ! -f /etc/mail/mailname -a -d /etc/mail -a -x /bin/hostname ]; then
	hostname -f > /etc/mail/mailname
fi

%files
%defattr(644,root,root,755)
%doc NOTE READM* listar.aliases.dist spam-regexp.sample
%doc lists/test src/CHANGELOG

%attr(750, root,   root) /etc/cron.daily/%{name}
%attr(640, root, listar) %{_sysconfdir}/%{name}/%{name}.hlp
%attr(640,listar,listar) %ghost /var/log/%{name}.log
%attr(640, root, listar) %{_libdir}/%{name}/%{name}.cfg
%attr(640, root,   root) %config %verify(not size mtime md5) /etc/logrotate.d/%{name}
%attr(640, root, listar) %config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/%{name}/%{name}.cfg
%attr(640, root, listar) %config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/%{name}/banned
%attr(755, root,   root) %dir %{_libdir}/%{name}
%attr(755, root,   root) %dir %{_libdir}/%{name}/modules
%attr(755, root, listar) %dir %{_var}/lib/%{name}
%attr(770, root, listar) %dir %{_var}/lib/%{name}/queue
%attr(770, root, listar) %dir %{_var}/lib/%{name}/lists
%attr(750, root, listar) %dir %{_sysconfdir}/%{name}
%attr(2711,root, listar) %{_libdir}/%{name}/%{name}
%attr(755, root,   root) %{_libdir}/%{name}/modules/*.lpm

%files cgi
%defattr(644,root,root,755)
%doc src/modules/lsg2/*.txt
%attr(755, root,   root)      /home/httpd/cgi-bin/listargate.cgi
%attr(770, root, listar) %dir %{_var}/lib/%{name}/lists/SITEDATA
%attr(660, root, listar) %{_var}/lib/%{name}/lists/SITEDATA/cookies
%{_libdir}/%{name}/templates

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: listar.spec,v $
Revision 1.28  2002/07/25 14:47:04  blues
- release 5
- directory with lists must be writable for listar... otherwise creating
  new group is impossible
STBR

Revision 1.27  2002/04/08 12:23:12  qboosh
- added security fix extracted from debian; release 4, STBR

Revision 1.26  2002/03/03 11:35:31  kloczek
- fix in %build.

Revision 1.25  2002/03/03 11:03:31  kloczek
- cosmetics.

Revision 1.24  2002/02/24 12:06:19  blues
- release 3
- changed making users in pre to apache-like

Revision 1.23  2002/02/22 23:29:13  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.22  2002/02/18 08:46:20  marcus
- rel.2.

Revision 1.21  2002/01/18 02:13:44  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.20  2001/07/26 05:42:10  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.18  2001/05/02 16:29:08  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.17  2000/10/06 07:59:06  waszi

- typo

Revision 1.16  2000/10/04 17:38:54  misiek
update

Revision 1.15  2000/06/09 07:23:25  kloczek
- added using %%{__make} macro.

Revision 1.14  2000/04/25 17:52:30  baggins
- updated to 0.128a

Revision 1.13  2000/04/25 16:16:48  baggins
- release++
- FHS 2.1, /var/state -> /var/lib

Revision 1.12  2000/04/01 11:14:52  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.11  2000/03/28 16:54:41  baggins
- translated kloczkish into english

Revision 1.10  1999/12/13 21:15:48  alchemyx
- ripped out logrotate file

Revision 1.9  1999/07/26 12:10:43  misiek
- ready for 125a

Revision 1.8  1999/07/21 15:24:24  misiek
typo

Revision 1.7  1999/07/21 11:17:22  misiek
update

* Thu Mar 18 1999 Micha Kuratczyk <kura@pld.org.pl>
  [0.116a-3]
- added gzipping documentation

* Fri Feb 05 1999 Arkadiusz Mikiewicz <misiek@misiek.eu.org>
- added -D_HAVE_STRING_ARCH_strchr to compile on >= 2.0.112

* Mon Feb 01 1999 Arkadiusz Mikiewicz <misiek@misiek.eu.org>
- new upstream release

* Sat Jan 16 1999 Arkadiusz Mikiewicz <misiek@pld.za.net>
- removed /home/listar
- /etc/aliases to /etc/mail/aliases

* Thu Jan 14 1999 Arkadiusz Mikiewicz <misiek@pld.za.net>
- added %%post
- added optimalization flags

* Wed Jan 13 1999 Arkadiusz Mikiewicz <misiek@misiek.eu.org>
- initial rpm release

